Theme
/fal-ai/flux-1/schnell/redux
POST
https://www.kkiai.com/fal-ai/flux-1/schnell/redux
Official documentation: https://fal.ai/models/fal-ai/flux-1/schnell/redux
Request Parameters
Authorization
Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer
Example: Authorization: Bearer ********************
Body Parameters (application/json)
| Parameter | Type | Required | Description |
|---|---|---|---|
image_url | string | Required | Drag and drop file here, or provide base64 encoded data URL. Accepted file types: jpg, jpeg, png, webp, gif, avif |
num_inference_steps | integer | Optional | Number of inference steps to perform. Default: 4 Range: 1-12 |
image_size | string | Optional | Size of generated image. Default: landscape_4_3 Range (3:4, 4:3, 16:9, 9:16) |
num_images | integer | Optional | Number of images to generate. Default: 1 Range: 1-4 |
enable_safety_checker | boolean | Optional | If set to true, enables safety checker. Default: true |
output_format | string | Optional | Format of generated image. Default: "jpeg" Supported: default, png, jpeg |
acceleration | string | Optional | Generation speed. Higher speed generates faster. Default: "regular" Supported: default, none, regular, high |
Request Example
json
{
"image_url": "https://fal.media/files/kangaroo/acQvq-Kmo2lajkgvcEHdv.png",
"num_inference_steps": 4,
"image_size": "landscape_4_3",
"num_images": 1,
"enable_safety_checker": true,
"output_format": "jpeg",
"acceleration": "regular"
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/flux-1/schnell/redux' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"image_url": "https://fal.media/files/kangaroo/acQvq-Kmo2lajkgvcEHdv.png",
"num_inference_steps": 4,
"image_size": "landscape_4_3",
"num_images": 1,
"enable_safety_checker": true,
"output_format": "jpeg",
"acceleration": "regular"
}'Response
🟢 200 Success
Response Example
json
{
"status": "IN_QUEUE",
"request_id": "acf05732-7cb3-445b-9f39-fdaeccb1d730",
"response_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730",
"status_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/status",
"cancel_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/cancel",
"logs": null,
"metrics": {},
"queue_position": 0
}